<?xml version="1.0" encoding="UTF-8"?>

<!--
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - JOnAS: Java(TM) Open Application Server
 - Copyright (C) 2005 Bull S.A.
 - Contact: jonas-team@ow2.org
 -
 - This library is free software; you can redistribute it and/or
 - modify it under the terms of the GNU Lesser General Public
 - License as published by the Free Software Foundation; either
 - version 2.1 of the License, or any later version.
 -
 - This library is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 - Lesser General Public License for more details.
 -
 - You should have received a copy of the GNU Lesser General Public
 - License along with this library; if not, write to the Free Software
 - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 - USA
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - $Id: ra.xml 15428 2008-10-07 11:20:29Z sauthieg $
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -->
<connector xmlns="http://java.sun.com/xml/ns/j2ee"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee
		   http://java.sun.com/xml/ns/j2ee/connector_1_5.xsd"
	version="1.5">
	
	<display-name>JOnAS JAX-R RA</display-name>
	<vendor-name>Objectweb</vendor-name>
	<eis-type>JAX-R</eis-type>
	<resourceadapter-version>1</resourceadapter-version>
	<resourceadapter>
		<resourceadapter-class>
			org.ow2.jonas.ee.scout.JAXRResourceAdapter
		</resourceadapter-class>
		<outbound-resourceadapter>
			<connection-definition>
				<managedconnectionfactory-class>
					org.ow2.jonas.ee.scout.ManagedConnectionFactoryImpl
				</managedconnectionfactory-class>
				<config-property>
					<config-property-name>queryManagerURL</config-property-name>
					<config-property-type>java.lang.String</config-property-type>
					<config-property-value>http://localhost:9000/juddi/inquiry</config-property-value>
				</config-property>
				<config-property>
					<config-property-name>lifeCycleManagerURL</config-property-name>
					<config-property-type>java.lang.String</config-property-type>
					<config-property-value>http://localhost:9000/juddi/publish</config-property-value>
				</config-property>
				<config-property>
					<config-property-name>semanticEquivalences</config-property-name>
					<config-property-type>java.lang.String</config-property-type>
					<!-- <config-property-value></config-property-value> -->
				</config-property>
				<config-property>
					<config-property-name>authenticationMethod</config-property-name>
					<config-property-type>java.lang.String</config-property-type>
					<config-property-value>UDDI_GET_AUTHTOKEN</config-property-value>
				</config-property>
				<config-property>
					<config-property-name>maxRows</config-property-name>
					<config-property-type>java.lang.Integer</config-property-type>
					<config-property-value>100</config-property-value>
				</config-property>
				<config-property>
					<config-property-name>postalAddressScheme</config-property-name>
					<config-property-type>java.lang.String</config-property-type>
					<!-- <config-property-value></config-property-value> -->
				</config-property>
				<connectionfactory-interface>
					javax.xml.registry.ConnectionFactory
				</connectionfactory-interface>
				<connectionfactory-impl-class>
					org.ow2.jonas.ee.scout.JConnectionFactory
				</connectionfactory-impl-class>
				<connection-interface>
					javax.xml.registry.Connection
				</connection-interface>
				<connection-impl-class>
					org.apache.ws.scout.registry.ConnectionImpl
				</connection-impl-class>
			</connection-definition>
			<transaction-support>NoTransaction</transaction-support>
			<reauthentication-support>false</reauthentication-support>
		</outbound-resourceadapter>
	</resourceadapter>
</connector>
